require "player"
require "enemy"
require "bullet"

function game_init()
	player_init()
	enemy_init()
	bullet_init()
end

function game_update(dt)
	player_update(dt)
	enemy_update(dt)
	bullet_update(dt)
end

function game_draw()
	player_draw()
	enemy_draw()
	bullet_draw()
end

function game_keypressed(key)
	if key == " " then
		local bullet = {}
		bullet.x = player.x+20
		bullet.y = player.y-10
		table.insert(bullets, bullet)
		shots_taken = shots_taken + 1
	elseif key == "escape" then
		state = "mainmenu"
		mainmenu_init(player.x, player.y)
	end
end

function check_dist(x1, y1, x2, y2)
	return math.sqrt((x1-x2)^2 + (y1-y2)^2)
end

function check_collision(ax1,ay1,aw,ah, bx1,by1,bw,bh)
	local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
	return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end