require "game"
require "mainmenu"
require "help"
require "achievements"

function love.load()
	state = "mainmenu";
	mainmenu_init()
	
	achievements_init()
end

function love.update(dt)
	if state == "game" then
		game_update(dt)
	elseif state == "mainmenu" then
		mainmenu_update(dt)
	end
end

function love.draw()
	if state == "game" then
		game_draw()
	elseif state == "mainmenu" then
		mainmenu_draw()
	elseif state == "help" then
		help_draw()
	elseif state == "achievements" then
		achievements_draw()
	end
end

function love.keypressed(key)
	if state == "game" then
		game_keypressed(key)
	elseif state == "mainmenu" then
		mainmenu_keypressed(key)
	elseif state == "help" then
		help_keypressed(key)
	elseif state == "achievements" then
		achievements_keypressed(key)
	end
end