function menuBullet_init()
	menubullets = {}
	menubullet_size = 8
end

function menuBullet_update(dt)
	for bi, bv in ipairs(menubullets) do
		bv.y = bv.y - 100*dt
		if bv.y < -menubullet_size then
			table.remove(menubullets, bi)
		end
		
		-- Play button
		if check_collision(bv.x, bv.y, 8, 8, 85, 175, 64, 64) then
			state = "game"
			game_init()
		end
		
		-- Help button
		if check_collision(bv.x, bv.y, 8, 8, 165, 175, 64, 64) then
			state = "help"
			help_init()
		end
		
		-- Quit button
		if check_collision(bv.x, bv.y, 8, 8, 245, 175, 64, 64) then
			love.event.push("quit")
		end
		
		-- Achievements "button" (hidden button)
		if check_collision(bv.x, bv.y, 8, 8, 90, 0, 150, 10) then
			state = "achievements"
		end
	end
end

function menuBullet_draw()
	for _, v in ipairs(menubullets) do
		love.graphics.rectangle("fill", v.x, v.y, menubullet_size, menubullet_size)
	end
end